//blue base shaders

textures/rjlctf2/bluedecal
{
	qer_editorimage textures/rjlctf2/iconblue.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	{
		map textures/rjlctf2/iconblue.tga
		rgbGen vertex
		blendFunc add
	}
}

textures/rjlctf2/lightbulb_blue
{
	q3map_surfacelight 600
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_lightimage textures/lighting/blue.tga
	{
		map $whiteimage
		rgbGen const ( 0.0 0.1 1.0 )
	}
}

textures/rjlctf2/bluelight_flickertrans
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	{
		map $whiteimage
		rgbGen const ( 0.0 0.0 0.7 )
		blendfunc add
	}
	{
		map $whiteimage
		rgbgen wave sin .9 .025 0 10
		blendfunc filter
	}
}

textures/rjlctf2/bluelight_pulse
{
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 600
	q3map_lightimage textures/lighting/blue.tga
	{
		map $whiteimage
		rgbGen const ( 0.0 0.1 1.0 )
	}
	{
		map $whiteimage
		rgbGen wave sin 0.8 0.2 1 .5
		blendfunc filter
	}
}

textures/rjlctf2/bluelight_pulse_env
{
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/rjlctf2/concwall2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map $whiteimage
		rgbGen const ( 0.0 0.3 1.0 )
		blendfunc gl_dst_color gl_zero
	}
	{
		map $whiteimage
		rgbGen wave sin 0.8 0.2 1 .5
		blendfunc filter
	}
}

textures/rjlctf2/bluelight_flicker
{
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 600
	q3map_lightimage textures/lighting/blue.tga
	{
		map $whiteimage
		rgbGen const ( 0.0 0.1 1.0 )
	}
	{
		map $whiteimage
		rgbgen wave sin .9 .025 0 10
		blendfunc filter
	}
}

textures/rjlctf2/bluefog
{
	qer_editorimage textures/common/drkcld.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	fogparms ( 0.0 0.0 1.0 ) 92
}

//red base shaders

textures/rjlctf2/reddecal
{
	qer_editorimage textures/rjlctf2/iconred.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm pointlight
	{
		map textures/rjlctf2/iconred.tga
		rgbGen vertex
		blendFunc add
	}
}

textures/rjlctf2/lightbulb_red
{
	q3map_surfacelight 600
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_lightimage textures/lighting/red.tga
	{
		map $whiteimage
		rgbGen const ( 1.0 0.1 0.0 )
	}
}

textures/rjlctf2/redlight_flickertrans
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	{
		map $whiteimage
		rgbGen const ( 0.7 0.0 0.0 )
		blendfunc add
	}
	{
		map $whiteimage
		rgbgen wave sin .9 .025 0 10
		blendfunc filter
	}
}

textures/rjlctf2/redlight_pulse
{
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 600
	q3map_lightimage textures/lighting/red.tga
	{
		map $whiteimage
		rgbGen const ( 1.0 0.1 0.0 )
	}
	{
		map $whiteimage
		rgbGen wave sin 0.8 0.2 1 .5
		blendfunc filter
	}
}

textures/rjlctf2/redlight_pulse_env
{
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/rjlctf2/concwall2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map $whiteimage
		rgbGen const ( 1.0 0.1 0.0 )
		blendfunc gl_dst_color gl_zero
	}
	{
		map $whiteimage
		rgbGen wave sin 0.8 0.2 1 .5
		blendfunc filter
	}
}

textures/rjlctf2/redlight_flicker
{
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 600
	q3map_lightimage textures/lighting/red.tga
	{
		map $whiteimage
		rgbGen const ( 1.0 0.1 0.0 )
	}
	{
		map $whiteimage
		rgbgen wave sin .9 .025 0 10
		blendfunc filter
	}
}

textures/rjlctf2/redfog
{
	qer_editorimage textures/common/drkcld.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	fogparms ( 1.0 0.0 0.0 ) 92
}

//other shaders

textures/rjlctf2/whitebeam
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	{
		map $whiteimage
		alphaGen const 0.1
		blendfunc blend
	}
}

textures/rjlctf2/whitelight_flickertrans
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	{
		map $whiteimage
		rgbGen const ( 0.7 0.7 0.7 )
		blendfunc add
	}
	{
		map $whiteimage
		rgbgen wave sin .9 .025 0 10
		blendfunc filter
	}
}

textures/rjlctf2/whitelight_pulse_env
{
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/rjlctf2/concwall2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map $whiteimage
		rgbGen const ( 1.0 1.0 1.0 )
		blendfunc gl_dst_color gl_zero
	}
	{
		map $whiteimage
		rgbGen wave sin 0.8 0.2 1 .5
		blendfunc filter
	}
}

textures/rjlctf2/lamp_nocull
{
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_editorimage textures/rjlctf2/concwall2.tga

	{
		map textures/rjlctf2/concwall2.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/rjlctf2/lightbulb_white
{
	q3map_surfacelight 1000
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_lightimage textures/lighting/white.tga
	{
		map $whiteimage
		rgbGen identity
	}
}

textures/rjlctf2/blackfog
{
	qer_editorimage textures/common/drkcld.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	fogparms ( 0.0 0.0 0.0 ) 1024
}

textures/rjlctf2/blackfogdense
{
	qer_editorimage textures/common/drkcld.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	fogparms ( 0.0 0.0 0.0 ) 256
}

textures/rjlctf2/clangfloor1_steps
{
	qer_editorimage textures/rjlctf2/clangfloor1.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rjlctf2/clangfloor1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rjlctf2/clangfloor1a_steps
{
	qer_editorimage textures/rjlctf2/clangfloor1a.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rjlctf2/clangfloor1a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/rjlctf2/concwall2_specular
{
	qer_editorimage textures/rjlctf2/concwall2.tga
	{
		map $lightmap
	}
	{
		map textures/rjlctf2/concwall2.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphaGen lightingSpecular
	}
}

textures/rjlctf2/concwall3_specular
{
	qer_editorimage textures/rjlctf2/concwall3.tga
	{
		map $lightmap
	}
	{
		map textures/rjlctf2/concwall3.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphaGen lightingSpecular
	}
}

textures/rjlctf2/concwall4_specular
{
	qer_editorimage textures/rjlctf2/concwall4.tga
	{
		map $lightmap
	}
	{
		map textures/rjlctf2/concwall4.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphaGen lightingSpecular
	}
}

textures/rjlctf2/concwall_blend1
{
	qer_editorimage textures/rjlctf2/concwall1.tga
	{
		map textures/rjlctf2/concwall1.tga
	}
	{
		map textures/rjlctf2/concwall2.tga
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/rjlctf2/concwall_blend2
{
	qer_editorimage textures/rjlctf2/concwall4.tga
	{
		map textures/rjlctf2/concwall1.tga
	}
	{
		map textures/rjlctf2/concwall4.tga
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/rjlctf2/floor_blend1
{
	qer_editorimage textures/rjlctf2/clangfloor1.tga
	{
		map textures/rjlctf2/clangfloor1.tga
	}
	{
		map textures/rjlctf2/concwall2.tga
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/rjlctf2/light1_2k
{
	q3map_surfacelight 2000
	surfaceparm nomarks
	qer_editorimage textures/rjlctf2/light1.tga
	q3map_lightimage textures/rjlctf2/light1_blend.tga
	{
		map textures/rjlctf2/light1.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/rjlctf2/light1_blend.tga
		blendFunc add
	}
}

//thanx to GONNAKILLYA! for the flare shader and texture

textures/rjlctf2/autoflare
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	qer_editorimage textures/rjlctf2/flare.tga

	{
		map textures/rjlctf2/flare.tga
		blendFunc GL_ONE GL_ONE
	}
}